%define anolis_release 2

Name:           libmd
Version:        1.0.4
Summary:        Library that provides message digest functions from BSD systems
Release:        %{anolis_release}%{?dist}
License:        BSD-2-Clause AND BSD-3-Clause AND ISC AND Beerware AND Public-Domain
URL:            https://www.hadrons.org/software/libmd/
Source0:        https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRequires:  gnupg2 gcc make

%description
The %{name} library provides a few message digest ("hash") functions, as
found on various BSD systems, either on their libc or on a library with
the same name, and with a compatible API.

%package devel
Summary:        Development files for the message digest library
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The %{name}-devel package includes header files and libraries necessary
for developing programs which use the message digest library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}.la

%check
%make_build check

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/%{name}.so.0*
%{abidir}/%{name}.dump

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/md2.h
%{_includedir}/md4.h
%{_includedir}/md5.h
%{_includedir}/ripemd.h
%{_includedir}/rmd160.h
%{_includedir}/sha.h
%{_includedir}/sha1.h
%{_includedir}/sha2.h
%{_includedir}/sha256.h
%{_includedir}/sha512.h
%{_mandir}/man3/*

%files doc
%doc ChangeLog README

%changelog
* Wed Apr 12 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.0.4-2
- Optimize the spec file

* Tue Jan 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.0.4-1
- Init for Anolis OS 23
